
import {
    WeaTools
} from 'ecCom'

export const getHasRight = () => {
    return WeaTools.callApi('/api/bs/hrmorganization/personnelresume/hasRight', 'GET');
}


export const getPersonnelResume = (params) => {
    return WeaTools.callApi('/api/bs/hrmorganization/personnelresume/getResumeList', 'GET', params);
}

export const getAdvanceSearchCondition = (params) => {
    return WeaTools.callApi('/api/bs/hrmorganization/personnelresume/personnelScreening', 'GET', params);
}

export const downloadPerResume = (type) => {
    fetch(`/api/bs/hrmorganization/personnelresume/downloadPerResume?type=${type}`).then(res => res.blob().then(blob => {
        var filename= type == 0 ? `人员简历合并导出.docx` : `全部简历.zip`
        var a = document.createElement('a');
        var url = window.URL.createObjectURL(blob); 
        a.href = url;
        a.download = filename;
        a.click();
        window.URL.revokeObjectURL(url);
    }))
}